using System;

namespace kvalifikacije_C
{
    class Program
    {
        static void Main(string[] args)
        {
            // deklaracije
            int[,] A = new int[5, 5];
            int i, j, N, K, L, nInd, nBrojac, nZbir;
            string[] strClanovi;

            nInd = 0;
            nBrojac = 0;
            nZbir = 0;

            // ucitavanje
            N = int.Parse(Console.ReadLine());
            for (i = 1; i <= N; i++)
            {
                strClanovi = Console.ReadLine().Split();
                for (j = 1; j <= 2; j++)
                {
                    K = int.Parse(strClanovi[0]);
                    L = int.Parse(strClanovi[1]);
                    A[K, L] = 1;
                }
            } //kraj petlje ucitavanja
        label1:
            nInd = 0;
            nZbir = 0;
            for (i = 1; i <= N; i++)
            {
                nZbir = 0;
                for (j = 1; j <= N; j++)
                {
                    nZbir = nZbir + A[i, j];
                    if (2 == nZbir)
                    {
                        A[i, j] = 0;
                        nBrojac++;
                        nInd = 1;
                        goto label1;
                    }
                }
            }

        label2:
            nInd = 0;
            nZbir = 0;
            for (j = 1; j <= N; j++)
            {
                nZbir = 0;
                for (i = 1; i <= N; i++)
                {
                    nZbir = nZbir + A[i, j];
                    if (2 == nZbir)
                    {
                        A[i, j] = 0;
                        nBrojac++;
                        nInd = 1;
                        goto label2;

                    }
                }
            }
        }
    }
}